---
layout: markdown_page
title: "Mike Dunninger's README"
job: "Support Engineering Manager"
---

### My Role and Responsibilities
**As your manager, I will do all I can to make it possible for you to succeed professionally. That means I will strive to do at least the following...**

- Provide you with the tools to do your job
- Coach and mentor you in career development
- Bring you information from the rest of GitLab
- Shield you from outside pressures
- Set clear expectations for you & give clear feedback
- Be available for you to lean on me
- Give you many opportunities to stand on your own two feet

### I Expect...
- **honesty, integrity and professionalism**
- that you share and will act in accordance with [GitLab's Values](/handbook/values)
- understanding of GitLab's business and goals
- full participation
- creative thinking
- ownership – of your career, of your actions
- teamwork – support each other
  - Do your fair share of work
  - Ask for help, and be available to help
  - Be reliable and timely
- adherence to team and company policies & processes
- respect for each other, our company, and our customers
- for all of us to have fun

### I Believe...

- in the individual
- in the team
- in the customer
- in doing what's right
- that communication is at the heart of all of our successes and most of our failures
- that customer support and service can be a competitive differentiator for GitLab
- **in time off**

### Working with Me

- Need something from me? No need to schedule a meeting in advance. Just contact me on Slack or send me an email.
- I appreciate when people get to the point quickly instead of working around to it slowly. It's not that I'm in a hurry; I just like to get to the heart of the matter.
- Similarly, I tend to be pretty direct and straightforward. If it's too much for you, please just let me know and I'll do my best to adjust.
- I seek only useful, beneficial change - pretty much never change for the sake of change.
- I want to be the most helpful, useful, supportive manager I can be for each person on my team. So please tell me:
  - what I'm doing well, and should therefore keep doing
  - what I can do better
  - what I should start doing
  - what I should stop doing
- I try very hard to write or say exactly what I mean, with no hidden agenda or secrets. If there's information you want but that I can't give you, I'll let you know. But I won't make stuff up, and I won't make you guess. So you shouldn't need to read between the lines.

### Personal History

- B.A. in Computer Studies from Northwestern U. (Go Wildcats!)
- M.S. in Computer Science from U. Wisconsin
- Moved to Colorado in 1989 to start my career
- Remarried in 2012 to Kim, an amazing woman who's taught middle school choir for many years and is a beautiful singer specializing in choral music

### Personal Interests

- American Football - Denver Broncos season ticket holder, and a big fan of my alma mater, Northwestern
- Cooking and baking
- Travel - favorite places so far are New Orleans, San Francisco, Tuscany (Italy) and Kauai, Hawaii
- Movies, plays, musicals and music
- Crossword puzzles, other word puzzles, number puzzles
- Reading and writing

### Professional History

- 10 years in HP's Graphics Software Lab as a software engineer and a software development process engineer
- 8 years at Rational Software (IBM) building and leading the Premium Support team
- 7 more years at HP as an enterprise support manager and then a support team manager
- 4+ years at LogRhythm as a support engineer and support manager
- joined GitLab in 2020!
